// ----- Change log -----
// 02/26/05 - Created
// ----------------------

#ifndef IMAGE_H
#define IMAGE_H

#include "Main.h"



// ----- Constants -----

typedef enum _IMAGE_BLIT_FLAGS
{
	IMAGE_BLIT_FLAG_HFLIP	= BIT00,

} IMAGE_BLIT_FLAGS;



// ----- Structures -----

typedef struct _Image
{
	u8 *pixels;
	RGB *palette;
	s32 width, height, pitch;

} Image;



// ----- Global varaibles -----

extern Image gScreen;



// ----- Global functions -----

void ImgCreate			(Image *image, s32 width, s32 height, s32 paletteEntries);
void ImgCreateFromBmp	(Image *image, const char *fileName, BOOL loadPalette);
void ImgFree			(Image *image);

void ImgBlit (Image *destImg, const Image *srcImg, 
			  s32 destX, s32 destY, 
			  s32 srcX, s32 srcY, 
			  s32 width, s32 height, 
			  u32 flags);
void ImgRectFill (Image *image, s32 x, s32 y, s32 w, s32 h, u8 color);

#endif	// FONT_H
