#ifndef INPUT_H
#define INPUT_H

// ----- Change log -----
// 02-26-05	Created



// ----- Headers -----

#include "allegro.h"
#include "Main.h"



// ----- Constants -----

#define NUM_KEYS			KEY_MAX

#define KEY_JUMP			KEY_SPACE
#define KEY_RUN				KEY_LCONTROL
#define KEY_SHOOT			KEY_ALT

typedef enum _KEY_STATE
{
	KEY_STATE_UP,
	KEY_STATE_DOWN,
	KEY_STATE_TRIG,
	KEY_STATE_FALL,

	KEY_STATE_NUM,

} KEY_STATE;



// ----- Macros -----

#define KEYUP(x)		(keyState[x] == KEY_STATE_UP)
#define KEYDOWN(x)		(keyState[x] == KEY_STATE_DOWN)
#define KEYTRIG(x)		(keyState[x] == KEY_STATE_TRIG)
#define KEYFALL(x)		(keyState[x] == KEY_STATE_FALL)



// ----- Global variables -----

extern u8 keyState[NUM_KEYS];



// ----- Global functions -----

extern void InputInit ();
extern void InputUpdate ();

#endif	// INPUT_H