// ----- Change log -----
// 02/27/05 - Created
// ----------------------

#ifndef TURTLE_H
#define TURTLE_H

#include "Main.h"



// ----- Constants -----

#define TURTLE_WALK_SPEED	SPT_FX(1)
#define TURTLE_DIE_TIME		12

typedef enum _TURTLE_ANIM
{
	TURTLE_ANIM_WALK,
	TURTLE_ANIM_DIE,

	TURTLE_ANIM_NUM,
	TURTLE_ANIM_MAX = TURTLE_ANIM_NUM - 1,

} TURTLE_ANIM;

typedef enum _TURTLE_MODE
{
	TURTLE_MODE_GROUND,
	TURTLE_MODE_DIE,

	TURTLE_MODE_NUM,
	TURTLE_MODE_MAX = TURTLE_MODE_NUM - 1,

} TURTLE_MODE;

typedef enum _TURTLE_GROUND_STATE
{
	TURTLE_GROUND_STATE_WALK,

	TURTLE_GROUND_STATE_NUM,
	TURTLE_GROUND_STATE_MAX = TURTLE_GROUND_STATE_NUM - 1,

} TURTLE_GROUND_STATE;

typedef enum _TURTLE_DIE_STATE
{
	TURTLE_DIE_STATE_DIE,

	TURTLE_DIE_STATE_NUM,
	TURTLE_DIE_STATE_MAX = TURTLE_DIE_STATE_NUM - 1,

} TURTLE_DIE_STATE;



// ----- Structures -----

typedef struct _SptVarsTurtle
{
	u8 mode;
	u8 state;
	u8 timer;

} SptVarsTurtle;



// ----- Global functions -----

extern void SptInitTurtle (struct _Sprite *spt, struct _Map *map);
extern void SptUpdateTurtle (struct _Sprite *spt, struct _Map *map);
extern void SptColTurtle (struct _Sprite *spt, struct _Sprite *obs, u32 dir, struct _Map *map);

#endif	// TURTLE_H